
var bitman = {};

bitman.isOn = function(num, bit){
  return ((num>>bit) % 2) !== 0;
}

bitman.set = function(num, bit){
  return num | (1<<bit);
}

bitman.clear = function(num, bit){
  return num & ~(1<<bit);
}

bitman.toggle = function(num, bit){
  return (bitman.isOn(num, bit)) ? 
    bitman.clear(num, bit) : 
    bitman.set(num, bit);
}


module.exports = bitman;
